%global modulename validate-npm-package-name

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-validate-npm-package-name
Version:        3.0.0
Release:        1%{?dist}
Summary:        Give me a string and I'll tell you if it's a valid npm package name

License:        ISC
URL:            https://github.com/npm/validate-npm-package-name
Source0:        https://registry.npmjs.org/validate-npm-package-name/-/validate-npm-package-name-3.0.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(builtins) >= 1.0.3 with npmlib(builtins) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Give me a string and I'll tell you if it's a valid npm package name

%package 3.0.0
Summary:        Give me a string and I'll tell you if it's a valid npm package name


%description 3.0.0
Give me a string and I'll tell you if it's a valid npm package name

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .nyc_output %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 3.0.0
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 3.0.0-1
- Package automatically generated by npm2srpm
